CreateWebhookEndpointRequest
Request body for creating a public webhook endpoint.
- authrequired
Outbound auth configuration used when Augment delivers webhooks to your endpoint. This is not the same as the API key auth used to call Augment.
Bearer token authentication for webhook delivery requests.
- typeDiscriminatorenumconst:bearerTokenrequired
Bearer token auth.
values- bearer
Token
- tokenType: stringrequired
Secret token sent as
Authorization: Bearer <token>on webhook delivery. This token is never returned by read or list responses.
- urlType: string Format: urirequired
HTTPS URL that receives Augment webhook deliveries
- customType: object · WebhookCustomHeadersnullable
Headers Optional custom headers sent with webhook deliveries
Custom headers sent with webhook deliveries.
- propertyType: string
Name
- nameType: string
Optional display name for the endpoint